# ScriptName.ps1 -domain example.com
Param(
	[Parameter(Mandatory=$True)]
	[string]$domain
)
# Don't stop at errors
$ErrorActionPreference= 'silentlycontinue'
# Allow 10 secs timeout 
$timeoutInMilliseconds = 10000
# Construct URL to check
$url = "https://$domain"
# Get current date and time
$now = Get-Date
# Disable certificate validation check
[Net.ServicePointManager]::ServerCertificateValidationCallback = { $true }
# Construct HTTPS request
$req = [Net.HttpWebRequest]::Create($url)
$req.Timeout = $timeoutInMilliseconds
# Now obtain request data
try {
    $req.GetResponse() | Out-Null
} catch {
    Write-Host "Error opening $url : $_"
	ExitWithCode -exitcode 1
}
# Get certificate expiration date and time
$expdatetime = $req.ServicePoint.Certificate.GetExpirationDateString()
# Now get days remaining
$expdays = (New-TimeSpan -Start $now -End $expdatetime).Days
# And display them
$expdays
